Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Native Development

Reply
Developer
smiley
Posts: 1,418
Registered: ‎07-14-2008
My Device: Z10
My Carrier: Fido

Beta 3 compatible with PB OS2.1?

Can I use all the features in NDK beta 3 with PB OS2.1 minus BB10 specific functions?

 

A little confused if beta 3 supports PB or not.

 

Please use plain text.
Contributor
ImperialPenguin
Posts: 20
Registered: ‎07-15-2012
My Device: Developer
My Carrier: Sprint

Re: Beta 3 compatible with PB OS2.1?

Did you find an answer? Since Beta3 is required to submit BB10 apps, it would be nice to compile for both platforms from a single SDK. Since it is possible with 2.1, I can't imagine why we wouldn't be able to.
Please use plain text.
Contributor
danielatgrayfin
Posts: 22
Registered: ‎08-10-2012
My Device: Playbook
My Carrier: N/A

Re: Beta 3 compatible with PB OS2.1?

Yeah, I'm a little unclear on the compatability issue too. Got a note from AppWorld saying my PB app (built for 2.01) doesn't run on BB10. I think... that i shouldn't be surprised?

 

Are PB apps *supposed* to run on BB10 devices with no modification? (ie. is BB10 backwards compatible will PB?).

 

Not sure what i should be building/targetting to make sure the app works on all QNX devices.

Please use plain text.
Contributor
ImperialPenguin
Posts: 20
Registered: ‎07-15-2012
My Device: Developer
My Carrier: Sprint

Re: Beta 3 compatible with PB OS2.1?

Well, apps compiled with the Playbook SDK run on the BB10 simulator, so it would be extraordinarily nice if we could build iPhone/iPad-esque 'universal' apps. I'm not sure why we can't, but it certainly sounds like it isn't allowed.
I haven't downloaded Beta3 yet, but I'm assuming it will coexist peacefully with the PB SDK. But what does that mean for our workflow if we want to support both?
Please use plain text.
Developer
Puzzling
Posts: 51
Registered: ‎10-22-2011
My Device: 9800
My Carrier: Telus

Re: Beta 3 compatible with PB OS2.1?

If it isn't allowed though, why are they testing our PB apps on BB10?  I also got a notice that mine didn't work .

Please use plain text.
New Developer
vladest
Posts: 88
Registered: ‎06-16-2012
My Device: N950/E7/N808/N9/X7/BB10 Alpha
My Carrier: Kievstar

Re: Beta 3 compatible with PB OS2.1?

because you might be checked PB checkbox in the list of devices

Qt/Symbian/Meego/BB10/Cascades developer
Please use plain text.
Developer
BGmot
Posts: 1,068
Registered: ‎11-24-2011
My Device: PlayBook
My Carrier: x

Re: Beta 3 compatible with PB OS2.1?

Everybody got this message and I suppose it is just to incourage you to 'port' your app to BB10. Stupid wording in these emals by the way RIM.

And regarding compatibility if you don't want to be frustrated by hours and hours of troubleshooting 'why it does not run as expected' I would not take this avenue. Use NDK 2.1 to build for Playbooks (untill they release BB10 for PB) and use NDK 10.x for BB10 apps. Why? Because header files and libraries are simply different. And if an app build in NDK 10 miraculously works on PlayBook it does not mean that the next app will also work.

They released two NDKs for a reason.

Just my 2 cents...

Please use plain text.
Developer
borceg
Posts: 671
Registered: ‎03-21-2012
My Device: BlackBerry PlayBook 16GB
My Carrier: Vip

Re: Beta 3 compatible with PB OS2.1?

Yap it's annoying, but at least they sent you detailed screenshot of what is not working
Please use plain text.